#
# Usage: PERL cat_or.pl FILE DEFAULT_CONTENT
#
# Read lines of FILE and print them to the standard output.  If lines cannot
# be read from FILE (e.g. because it doesn't exist), print DEFAULT_CONTENT
# followed by a newline to the standard output instead.  Exit 0 on success and
# non-zero on error.
#

use strict;

my $file_name = $ARGV[0];
my $default_content = $ARGV[1];

if (-f "$file_name" and open(my $fh, "<", "$file_name")) {
  print while <$fh>;
  close $fh;
} else {
  print "$default_content\n"
}
